Bug 254717 - editors/jucipp: Update to 1.6.3
Summary: editors/jucipp: Update to 1.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 11:28 UTC by Mohammad S. Babaei
Modified: 2021-04-18 16:35 UTC (History)
2 users (show)

See Also:


Attachments
v1.6.1 (current) build log (35.56 KB, text/plain)
2021-04-02 11:28 UTC, Mohammad S. Babaei
no flags Details
jucipp patch (2.63 KB, patch)
2021-04-11 12:39 UTC, Mohammad S. Babaei
no flags Details | Diff
Patch for jucipp (2.70 KB, patch)
2021-04-12 00:46 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2021-04-02 11:28:09 UTC
Created attachment 223768 [details]
v1.6.1 (current) build log

I am the maintainer of this port. Today there was a new release. I tried to update to v1.6.3, but it fails to fetch the distfiles. I tried to build the current version in the ports and sadly something also has changed that I won't understand (attached build-log).

I'd appreciate it if someone helps me with it.

For the new version, I made the following changes:

--- jucipp-orig/Makefile        2021-04-02 10:07:53.331798000 +0200
+++ jucipp/Makefile     2021-04-02 13:24:14.310617000 +0200
@@ -3,7 +3,7 @@
 
 PORTNAME=      jucipp
 DISTVERSIONPREFIX=     v
-DISTVERSION=   1.6.1
+DISTVERSION=   1.6.3
 CATEGORIES=    editors
 
 MAINTAINER=    info@babaei.net
@@ -22,9 +22,9 @@
 USES=          cmake compiler:c++14-lang desktop-file-utils gnome pkgconfig
 USE_GITLAB=    yes
 GL_ACCOUNT=    cppit
-GL_COMMIT=     4a1f88590ad1242aed596546c5568bbc40184c0c
-GL_TUPLE=      cppit:libclangmm:c807211edcd3894f0920fcc1c01476d898f93f8f:libclangmm/lib/libclangmm \
-               eidheim:tiny-process-library:c9c8bf810ddad8cd17882b9a9ee628a690e779f5:tinyprocesslibrary/lib/tiny-process-library
+GL_COMMIT=     e59cb70467a085cb00fba75a748fe8b7b5431624
+GL_TUPLE=      cppit:libclangmm:11fc6bb436fea00abc23fa2464781880642de5e5:libclangmm/lib/libclangmm \
+               eidheim:tiny-process-library:15e4f77f8254e4b093f6be128db50fe4b6bee120:tinyprocesslibrary/lib/tiny-process-library
 USE_GNOME=     gdkpixbuf2 gtkmm30 gtksourceviewmm3
 INSTALLS_ICONS=        yes


And if you go here https://gitlab.com/cppit/jucipp/-/tags you'll see the commit hash for v1.6.3 tag is e59cb70467a085cb00fba75a748fe8b7b5431624 but ports says:

===>  Cleaning for jucipp-1.6.3
===>  License MIT accepted by the user
===>  License MIT accepted by the user
===>   jucipp-1.6.3 depends on file: /usr/local/sbin/pkg - found
=> cppit-jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624_GL0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://gitlab.com/cppit/jucipp/repository/e59cb70467a085cb00fba75a748fe8b7b5431624/archive.tar.gz?dummy=/cppit-jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624_GL0.tar.gz
fetch: https://gitlab.com/cppit/jucipp/repository/e59cb70467a085cb00fba75a748fe8b7b5431624/archive.tar.gz?dummy=/cppit-jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624_GL0.tar.gz: Service Unavailable
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/cppit-jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624_GL0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/cppit-jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624_GL0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/home/mamadou/jucipp
*** Error code 1

Stop.
make: stopped in /usr/home/mamadou/jucipp


So, it cannot fetch the current version. Maybe something is wrong with GitLab?
Comment 1 daniel.engberg.lists 2021-04-10 06:10:11 UTC
This probably needs a refresh
See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254866
Comment 2 Mohammad S. Babaei 2021-04-10 14:30:59 UTC
Thank you! I tried again and the issue with GitLab has been solved. But, when I try to build I get the following error:

FAILED: src/CMakeFiles/juci.dir/config.cpp.o 
ccache /usr/local/libexec/ccache/c++ -DJUCI_ENABLE_DEBUG -DJUCI_USE_GREP_EXCLUDE -DJUCI_USE_UCTAGS -DJUCI_VERSION=\"1.6.3\" -I/usr/local/llvm11/include -I/usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/lib/libclangmm/src/. -I/usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/lib/tiny-process-library -isystem /usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -pthread -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations "-Wno-#warnings" -Wthread-safety -Wno-deprecated -std=gnu++14 -MD -MT src/CMakeFiles/juci.dir/config.cpp.o -MF src/CMakeFiles/juci.dir/config.cpp.o.d -o src/CMakeFiles/juci.dir/config.cpp.o -c /usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/src/config.cpp
In file included from /usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/src/config.cpp:1:
In file included from /usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/src/config.hpp:2:
/usr/home/mamadou/jucipp/work/jucipp-e59cb70467a085cb00fba75a748fe8b7b5431624/src/dispatcher.hpp:4:10: fatal error: 'gtkmm.h' file not found
#include <gtkmm.h>
         ^~~~~~~~~
1 error generated.
ninja: build stopped: subcommand failed.
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/home/mamadou/jucipp
*** Error code 1

Stop.
make: stopped in /usr/home/mamadou/jucipp


The full build log for v1.6.1 (currently in ports tree) is attached. I guess something else has changed.
Comment 3 daniel.engberg.lists 2021-04-11 11:18:07 UTC
Looks like you need x11-toolkits/gtkmm30 as dependency ?
Comment 4 Mohammad S. Babaei 2021-04-11 11:36:56 UTC
Thank you for the reply. I have the following in my Makefile:

USE_GNOME=	gdkpixbuf2 gtkmm30 gtksourceviewmm3

I don't think it should be in LIB_DEPENS, because searching through the ports dir it seems it should not be necessary:

$ find /usr/ports/ -iname 'Makefile' | xargs grep -si 'gtkmm30'

/usr/ports/security/gonepass/Makefile:USE_GNOME=	gtk30 gtkmm30
/usr/ports/mail/astroid/Makefile:USE_GNOME=	atk atkmm cairo cairomm gdkpixbuf2 glib20 glibmm gtk30 gtkmm30 introspection libsigc++20 pango pangomm vte3
/usr/ports/cad/horizon-eda/Makefile:USE_GNOME=	atkmm gdkpixbuf2 gtkmm30 librsvg2
/usr/ports/audio/vst3sdk/Makefile:USE_GNOME=	cairo gtk30 gtkmm30
/usr/ports/audio/guitarix-lv2/Makefile:USE_GNOME=	atkmm cairo gtk30 gtkmm30 pangomm
/usr/ports/audio/pavucontrol/Makefile:USE_GNOME=	glibmm gtkmm30 intltool libsigc++20
/usr/ports/audio/pulseeffects/Makefile:USE_GNOME=	cairo gtkmm30 libsigc++20 pygobject3
/usr/ports/audio/paprefs/Makefile:USE_GNOME=	atkmm glib20 glibmm gtk30 gtkmm30 libsigc++20
/usr/ports/graphics/art/Makefile:USE_GNOME=	atk atkmm cairo cairomm glibmm gtkmm30 librsvg2
/usr/ports/graphics/inkscape/Makefile:USE_GNOME=	gtkmm30 libxml2 libxslt
/usr/ports/graphics/cluttermm/Makefile:USE_GNOME=	atkmm glib20 gtkmm30 libsigc++20 pangomm
/usr/ports/graphics/goocanvasmm2/Makefile:USE_GNOME=	gtkmm30
/usr/ports/graphics/rawtherapee/Makefile:USE_GNOME=	gtkmm30 librsvg2
/usr/ports/graphics/synfigstudio/Makefile:USE_GNOME=	gtkmm30 intltool
/usr/ports/games/gtkevemon/Makefile:LIB_DEPENDS=	libgtkmm-3.0.so:x11-toolkits/gtkmm30 \
/usr/ports/games/freedoko/Makefile:USE_GNOME=	gdkpixbuf2 gtkmm30
/usr/ports/games/lordsawar/Makefile:USE_GNOME=	gtkmm30 intltool libxslt
/usr/ports/deskutils/gnote/Makefile:USE_GNOME=	gtkmm30 intltool libxml2 libxslt
/usr/ports/deskutils/sysctlview/Makefile:USE_GNOME=	atk atkmm cairo cairomm gdkpixbuf2 glib20 glibmm gtk30 gtkmm30 \
/usr/ports/deskutils/easystroke/Makefile:USE_GNOME=	gtkmm30
/usr/ports/editors/jucipp/Makefile:USE_GNOME=	gdkpixbuf2 gtkmm30 gtksourceviewmm3
/usr/ports/print/pdfchain/Makefile:USE_GNOME=	atk atkmm cairo cairomm gdkpixbuf2 glib20 glibmm gtk30 gtkmm30 \
/usr/ports/math/cadabra2/Makefile:GUI_USE=	GNOME=gtkmm30,gdkpixbuf2
/usr/ports/devel/regexxer/Makefile:USE_GNOME=	gnomeprefix intltool intlhack gtkmm30 gtksourceviewmm3
/usr/ports/sysutils/gsmartcontrol/Makefile:USE_GNOME=	atkmm cairo glibmm gtk30 gtkmm30 libsigc++20 pangomm
/usr/ports/sysutils/gnome-system-monitor/Makefile:USE_GNOME=	gtkmm30 librsvg2 libxml2
/usr/ports/sysutils/mate-system-monitor/Makefile:USE_GNOME=	gtkmm30 intlhack librsvg2 libwnck3 libxml2
/usr/ports/sysutils/jstest-gtk/Makefile:USE_GNOME=	gtkmm30 libsigc++20
/usr/ports/x11-toolkits/Makefile:    SUBDIR += gtkmm30
/usr/ports/x11-toolkits/gtksourceviewmm3/Makefile:USE_GNOME=	gtksourceview3 gnomeprefix gtkmm30
/usr/ports/x11/wf-shell/Makefile:USE_GNOME=	gtkmm30
/usr/ports/x11/waybar/Makefile:USE_GNOME=	gtkmm30
/usr/ports/x11/nwg-launchers/Makefile:USE_GNOME=	gtkmm30
/usr/ports/x11/workrave/Makefile:USE_GNOME=	gtkmm30 intlhack intltool introspection:build
Comment 5 daniel.engberg.lists 2021-04-11 11:41:35 UTC
Try adding USES= localbase or localbase:ldflags
Comment 6 Mohammad S. Babaei 2021-04-11 11:43:28 UTC
I just did, the same result.
Comment 7 Mohammad S. Babaei 2021-04-11 11:43:57 UTC
Also, I noticed this output from the CMake during build:

--   Found gtkmm-3.0, version 3.24.2
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
-- Checking for module 'gtksourceviewmm-3.0'
--   Found gtksourceviewmm-3.0, version 3.18.0
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Comment 8 Mohammad S. Babaei 2021-04-11 11:45:31 UTC
This is the whole CMake part of the build:

===>   jucipp-1.6.3 depends on shared library: libpangomm-1.4.so - found (/usr/local/lib/libpangomm-1.4.so)
===>  Configuring for jucipp-1.6.3
===>  Performing out-of-source build
/bin/mkdir -p /usr/home/mamadou/jucipp/work/.build
-- The C compiler identification is Clang 10.0.1
-- The CXX compiler identification is Clang 10.0.1
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/local/libexec/ccache/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/local/libexec/ccache/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- using ccache.
-- Found Boost: /usr/local/include (found suitable version "1.72.0", minimum required is "1.54") found components: filesystem serialization 
-- Found ASPELL: /usr/local/lib/libaspell.so  
-- Found PkgConfig: pkgconf (found version "1.7.4") 
-- Checking for module 'gtkmm-3.0'
--   Found gtkmm-3.0, version 3.24.2
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
-- Checking for module 'gtksourceviewmm-3.0'
--   Found gtksourceviewmm-3.0, version 3.18.0
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package cairo-xlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo-xlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
Package 'cairo-xlib', required by 'gdk-3.0', not found
-- Checking for module 'libgit2'
--   Found libgit2, version 1.0.1
-- Found LibClang: /usr/local/llvm11/lib/libclang.so  
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Found Threads: TRUE  
-- Found liblldb: /usr/local/llvm11/lib/liblldb.so  
-- Could NOT find Plantuml (missing: PLANTUML_JARFILE) 
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE) 
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_CXX_FLAGS_DEBUG
    CMAKE_C_FLAGS_DEBUG
    CMAKE_C_FLAGS_RELEASE
    CMAKE_MODULE_LINKER_FLAGS
    CMAKE_SHARED_LINKER_FLAGS
    CMAKE_VERBOSE_MAKEFILE


-- Build files have been written to: /usr/home/mamadou/jucipp/work/.build
===>  Building for jucipp-1.6.3
Comment 9 daniel.engberg.lists 2021-04-11 11:51:44 UTC
Can you post a patch? It's much easier to help you that way rather than guessing :)
Comment 10 Mohammad S. Babaei 2021-04-11 12:39:19 UTC
Created attachment 224025 [details]
jucipp patch

Sure, thank you!
Comment 11 daniel.engberg.lists 2021-04-12 00:46:47 UTC
Created attachment 224037 [details]
Patch for jucipp

Refresh patch so it applies to current tree
Comment 12 daniel.engberg.lists 2021-04-12 00:50:21 UTC
Hi,

Your patch compiles fine using Poudriere on 12.2-RELEASE (amd64) using testport.
I think your environment might be causing issues, does the patch I submitted work using Poudriere on your end?
Comment 13 Mohammad S. Babaei 2021-04-12 01:01:54 UTC
Hi,

The patch compiles fine on 12.2. The issue is with 11.4. Clean install on a VM. I do not even have a make.conf.
Comment 14 Mohammad S. Babaei 2021-04-12 01:03:57 UTC
Ops!Sorry ignore my last message. I thought I am on another thread. I ran a test on 11.4 for another port.
Comment 15 Mohammad S. Babaei 2021-04-12 01:06:33 UTC
I guess it might be OPTIONS_UNSET+=X11. This is a home server install, I sometimes use as a dev machine. So, that's why I unset X11. Do you think this is the reason?
Comment 16 Fernando Apesteguía freebsd_committer 2021-04-16 06:45:47 UTC
Hi Mohammad, Daniel

Thanks for the patches. Please, mark all non-necessary patches as obsolete and leave just the most current one so I can give it a try.

Also:

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]


Thanks!
Comment 17 commit-hook freebsd_committer 2021-04-17 12:20:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ddcb5d1274767cacbd3846283fa04d6f464c9b2d

commit ddcb5d1274767cacbd3846283fa04d6f464c9b2d
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-16 17:26:30 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-17 12:16:09 +0000

    editors/jucipp: Update to 1.6.3

    ChangeLog: https://gitlab.com/cppit/jucipp/-/releases/v1.6.3

    PR:     254717
    Reported by:    info@babaei.net (maintainer)
    Reviewed by:    daniel.engberg.lists@pyret.net

 editors/jucipp/Makefile |  9 ++++-----
 editors/jucipp/distinfo | 14 +++++++-------
 2 files changed, 11 insertions(+), 12 deletions(-)
Comment 18 Fernando Apesteguía freebsd_committer 2021-04-17 12:22:40 UTC
Committed,

Thanks!
Comment 19 Mohammad S. Babaei 2021-04-18 16:06:44 UTC
Thank you very much, and sorry for not being responsive, the past three days, I've been struggling with 13.0-RELEASE and I did not had access to my mailserver.

https://forums.freebsd.org/threads/escaping-from-13-0-release-hell-and-back-to-12-2-release.79901/
Comment 20 Fernando Apesteguía freebsd_committer 2021-04-18 16:35:18 UTC
(In reply to Mohammad S. Babaei from comment #19)
No worries!